/*
 *
 * @Component			OMAPCONF
 * @Filename			help.h
 * @Description			Help Library for OMAPCONF
 * @Author			Patrick Titiano (p-titiano@ti.com)
 * @Date			2006
 * @Copyright			Texas Instruments Incorporated
 *
 *
 * Copyright (C) 2006 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */


#ifndef __OMAPCONF_HELP_H__
#define __OMAPCONF_HELP_H__


typedef enum {
	HELP_RW,
	HELP_I2C_RW,
	HELP_SOC_PWST,
	HELP_SOC_OPP,
	HELP_VOLT,
	HELP_DPLL,
	HELP_PRCM,
	HELP_SR,
	HELP_MPUSS,
	HELP_EMIF,
	HELP_WKDEP,
	HELP_AVS,
	HELP_ABB,
	HELP_HWOBS,
	HELP_TEMPERATURE,
	HELP_HWTEMPERATURE,
	HELP_AUDIT,
	HELP_TRACE,
	HELP_COUNTERS,
	HELP_FORCEDETECT,
	HELP_AUDIOIC,
	HELP_DISPLAY,
	HELP_CAMERA,
	HELP_STATDEP,
	HELP_PMIC,
	HELP_ABE,
	HELP_EXPORT,
	HELP_CTRLMOD,
	HELP_TIMERS_32K,
	HELP_MCASP,
	HELP_CROSSBAR,
	HELP_ALL,
	HELP_USAGE,
	HELP_CATEGORY_MAX,
} help_category;


int err_arg_too_many_msg_show(help_category cat);
int err_arg_missing_msg_show(help_category cat);
int err_arg_msg_show(help_category cat);
int err_internal_msg_show(void);
int err_unknown_argument_msg_show(char *s);

void help(help_category cat);


#endif
